Return tasks for open projects with optional filters and pagination. Includes statistics.
Query parameters
-
Filter tasks on given project ID
-
Filter tasks on given task status ID
-
Filter tasks on given task type ID
-
Filter tasks on given person ID
-
Filter tasks posterior to given start date
-
Filter tasks anterior to given due date
-
Filter tasks on given priority
-
Page number
Default value is
1. -
Number of tasks per page
Default value is
100.
GET
/data/tasks/open-tasks
curl
curl -X GET "http://api.example.com/data/tasks/open-tasks?project_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&person_id=a24a6ea4-ce75-4665-a070-57453082c25&start_date=2022-07-12&due_date=2022-07-12&priority=3&page=1&limit=100" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/tasks/open-tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"start_date": "2022-07-12",
"due_date": "2022-07-12",
"priority": 3,
"page": 1,
"limit": 100
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/tasks/open-tasks' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"data": [
{}
],
"stats": {
"total": 42,
"total_duration": 42,
"total_estimation": 42,
"status": {}
},
"limit": 42,
"page": 42,
"is_more": true
}